
QGIS Application - Bug report #14399

QGIS cannot connect to URL using IP address

2016-03-01 02:18 PM - greg ederer

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.8.4 Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22380

Description

If an IP address is used as the domain name in the URL, QGIS fails to connect. For example,

https://198.118.194.40/wms/getcapabilities.xml

Firefox connects and displays content and so does curl.

QGIS version    2.8.4-Wien    QGIS code revision    exported

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.3    Running against GDAL/OGR    1.11.3

Compiled against GEOS    3.5.0-CAPI-1.9.0    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.4.4    SpatiaLite Version    4.3.0a

QWT Version    6.0.2    PROJ.4 Version    492

QScintilla2 Version    2.9

Related issues:

Related to QGIS Application - Bug report # 14398: QGIS does not connect if UR... Closed 2016-03-01

History

#1 - 2016-03-01 02:24 PM - Jürgen Fischer

Also not reproducable with master.

#2 - 2016-03-01 02:24 PM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

#3 - 2016-03-05 02:26 AM - Jürgen Fischer

- Operating System set to OSX

- Status changed from Open to Feedback

#4 - 2016-03-07 02:34 AM - Jukka Rahkonen

There does not seem to be a real WMS service running at that address. If you look at the getcapabilities.xml file you will notice that it is a copy of

GetCapabilities of demo.mapserver.org/cgi-bin/wms?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetCapabilities

You can't get any better result with domain name https://ladsweb.nascom.nasa.gov/wms/

I would say that this feedback is invalid for QGIS and you should contact NASA instead and ask what they really mean to have on that page.

#5 - 2016-03-07 02:45 AM - Jürgen Fischer
https://198.118.194.40/wms/getcapabilities.xml
https://ladsweb.nascom.nasa.gov/wms/


- Resolution set to invalid

- Status changed from Feedback to Closed

#6 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
